Subject: kernel for MPC8260 SBC

From: Suresh Chandra Mannava <[email-masked]>
Date: Sat, 25 Dec 2004 14:07:12 +0530

Hi,

We developed a SBC based on MPC8260. We are planing to port Linux on it.
I downloaded mpc8260 cross compiling tools from denx.de.

I started cross-compiling linux-2.4.4.
The problem is
I am not able to compile kernel. 8260 specific files in arch/ppc are not 
compiling due to not inclusion of
"bd_t" structure. I Included the file "asm-ppc/bseip.h".
Still encountering many errors.

I even tried with linux-2.4.20 and encountered the same problems.
Is there any patch required for compiling the kernel cleanly.

or
I may need to provide board specific information in the form of header 
files?

Please provide pointer to the sutiable kernel along with patch.

We have configured serial port on SMC. For SMC, CPM is required.
But there is no option in the kernel to select SMC for serial port.

please educate me on the above issue.

Thanks & Regards,

Suresh Chandra Mannava